      subroutine get_tle_subset_arg( argc, argv )
!
!     Argument break-out for Unix IDL call_external calls of 
!     get_tle_subset.
!
!     B. Knapp, 2003-12-11
!
C
C     RCS DATA
C     
C     $Header$
C     
C     $Log$
C
C
      implicit none
      integer argc, argv(22)
      external tle_subset
!
      call get_tle_subset(
     &   %val(argv( 1)), %val(argv( 2)), %val(argv( 3)), %val(argv( 4)),
     &   %val(argv( 5)), %val(argv( 6)), %val(argv( 7)), %val(argv( 8)),
     &   %val(argv( 9)), %val(argv(10)), %val(argv(11)), %val(argv(12)),
     &   %val(argv(13)), %val(argv(14)), %val(argv(15)), %val(argv(16)),
     &   %val(argv(17)), %val(argv(18)), %val(argv(19)), %val(argv(20)),
     &   %val(argv(21)), %val(argv(22)) )
!
      return
      end
